## ogre-1.12 1.12.5+dfsg1

=== Components/Overlay/CMakeLists.txt ===
#-------------------------------------------------------------------
# This file is part of the CMake build system for OGRE
#     (Object-oriented Graphics Rendering Engine)
# For the latest info, see http://www.ogre3d.org/
#
# The contents of this file are placed in the public domain. Feel
# free to make use of it in any way you like.
#-------------------------------------------------------------------

############################################################
# Overlay optional component
############################################################

# define header and source files for the library
file(GLOB HEADER_FILES "${CMAKE_CURRENT_SOURCE_DIR}/include/*.h")
list(APPEND HEADER_FILES 
  ${PROJECT_BINARY_DIR}/include/OgreOverlayPrerequisites.h
  ${CMAKE_CURRENT_SOURCE_DIR}/include/OgreOverlay.i)
file(GLOB SOURCE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")

if(OGRE_BUILD_COMPONENT_OVERLAY_IMGUI)
  list(APPEND SOURCE_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/imgui.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/imgui_draw.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/imgui_widgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/imgui_demo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/misc/freetype/imgui_freetype.cpp)
else()
    list(REMOVE_ITEM SOURCE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/OgreImGuiOverlay.cpp")
endif()

# setup target
add_library(OgreOverlay ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
set_target_properties(OgreOverlay PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
target_link_libraries(OgreOverlay PUBLIC OgreMain PRIVATE ${FREETYPE_LIBRARIES} ZLIB::ZLIB)
target_include_directories(OgreOverlay PUBLIC 
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  $<INSTALL_INTERFACE:include/OGRE/Overlay>
  PRIVATE ${FREETYPE_INCLUDE_DIRS})

if(OGRE_BUILD_COMPONENT_OVERLAY_IMGUI)
  target_include_directories(OgreOverlay PUBLIC
    PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/imgui>"
    PRIVATE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/misc/freetype>")

  if(UNIX)
    set_source_files_properties(src/imgui/misc/freetype/imgui_freetype.cpp PROPERTIES
      COMPILE_FLAGS "-Wno-missing-declarations")

    set_source_files_properties(src/imgui/imgui_widgets.cpp PROPERTIES
      COMPILE_FLAGS "-Wno-cast-qual")
  endif()

  file(WRITE ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/imconfig.h
    "#pragma once
    #define IMGUI_DISABLE_OBSOLETE_FUNCTIONS
    #include <OgreOverlayPrerequisites.h>
    #define IMGUI_API _OgreOverlayExport")

  list(APPEND HEADER_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/imgui.h
    ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/imconfig.h)
endif()

generate_export_header(OgreOverlay 
    EXPORT_MACRO_NAME _OgreOverlayExport
    EXPORT_FILE_NAME ${PROJECT_BINARY_DIR}/include/OgreOverlayPrerequisites.h)

# install 
ogre_config_framework(OgreOverlay)
ogre_config_component(OgreOverlay)

install(FILES ${HEADER_FILES}
  DESTINATION include/OGRE/Overlay
)
install(FILES "${PROJECT_SOURCE_DIR}/Media/packs/profiler.zip"
  DESTINATION "${OGRE_MEDIA_PATH}/packs/"
)

=== Tests/VisualTests/Context/CMakeLists.txt ===
#-------------------------------------------------------------------
# This file is part of the CMake build system for OGRE
#     (Object-oriented Graphics Rendering Engine)
# For the latest info, see http://www.ogre3d.org/
#
# The contents of this file are placed in the public domain. Feel
# free to make use of it in any way you like.
#-------------------------------------------------------------------

set(HEADER_FILES
    include/TestContext.h
	../Common/include/ImageValidator.h
	../Common/include/TestBatch.h
	../Common/include/CppUnitResultWriter.h
	../Common/include/TestResultWriter.h
	../Common/include/SimpleResultWriter.h
	../Common/include/HTMLWriter.h
	../Common/include/VisualTest.h
	../Common/include/TinyHTML.h
	)

set(SOURCE_FILES
    src/TestContext.cpp)

if(APPLE)
  set_source_files_properties(src/TestContext.cpp PROPERTIES COMPILE_FLAGS "-x objective-c++")
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(${PROJECT_SOURCE_DIR}/Samples/Common/include)
include_directories(${PROJECT_SOURCE_DIR}/Samples/Browser/include)
include_directories(${PROJECT_SOURCE_DIR}/Tests/VisualTests/Common/include)

if (OGRE_STATIC)
  include_directories(${PROJECT_SOURCE_DIR}/Tests/VisualTests/VTests/include)
  include_directories(${PROJECT_SOURCE_DIR}/Tests/VisualTests/PlayPen/include)
  
  # Fix for static build with MinGW
  if (OGRE_BUILD_RENDERSYSTEM_D3D9 AND MINGW AND OGRE_STATIC)
	include_directories(${DirectX9_INCLUDE_DIR})
  endif() 
  
  list(APPEND SAMPLE_LIBRARIES VTests)
  list(APPEND SAMPLE_LIBRARIES PlayPenTests)
endif()

add_executable(TestContext ${HEADER_FILES} ${SOURCE_FILES})
target_link_libraries(TestContext OgreMain ${OGRE_PLUGIN_LIBRARIES} ${SAMPLE_LIBRARIES} OgreOverlay OgreRTShaderSystem OgreBites)
ogre_config_common(TestContext)

# Make sure all plugins are built
if (OGRE_BUILD_PLUGIN_OCTREE)
    add_dependencies(TestContext Plugin_OctreeSceneManager)
endif ()
if (OGRE_BUILD_PLUGIN_BSP)
    add_dependencies(TestContext Plugin_BSPSceneManager)
endif ()
if (OGRE_BUILD_PLUGIN_CG)
    add_dependencies(TestContext Plugin_CgProgramManager)
endif (OGRE_BUILD_PLUGIN_CG)
if (OGRE_BUILD_PLUGIN_PFX)
    add_dependencies(TestContext Plugin_ParticleFX)
endif ()

if (OGRE_BUILD_PLUGIN_PCZ)
    add_dependencies(TestContext Plugin_PCZSceneManager)
    add_dependencies(TestContext Plugin_OctreeZone)
endif ()

if (OGRE_BUILD_RENDERSYSTEM_D3D9)
    add_dependencies(TestContext RenderSystem_Direct3D9)
endif ()
if (OGRE_BUILD_RENDERSYSTEM_D3D11)
    add_dependencies(TestContext RenderSystem_Direct3D11)
endif ()
if (OGRE_BUILD_RENDERSYSTEM_GL)
    add_dependencies(TestContext RenderSystem_GL)
endif ()
if (OGRE_BUILD_RENDERSYSTEM_GL3PLUS)
    add_dependencies(TestContext RenderSystem_GL3Plus)
endif ()
if (OGRE_BUILD_RENDERSYSTEM_GLES2)
    add_dependencies(TestContext RenderSystem_GLES2)
endif ()

add_dependencies(TestContext VTests PlayPenTests)

if (APPLE)
  if (APPLE_IOS)
	set_property(TARGET TestContext PROPERTY MACOSX_BUNDLE TRUE)
	set_property(TARGET TestContext PROPERTY MACOSX_BUNDLE_INFO_PLIST ${PROJECT_SOURCE_DIR}/Tests/VisualTests/Context/misc/Info.plist)
	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.ogre3d.\${PRODUCT_NAME:rfc1034identifier}")
    set_target_properties(TestContext PROPERTIES XCODE_ATTRIBUTE_ONLY_ACTIVE_ARCH "NO")
    set_target_properties(TestContext PROPERTIES XCODE_ATTRIBUTE_TARGETED_DEVICE_FAMILY "1,2")
	set (OGRE_TESTCONTEXT_CONTENTS_PATH
		${PROJECT_BINARY_DIR}/bin/$(CONFIGURATION)/TestContext.app)
    add_custom_command(TARGET TestContext POST_BUILD
      COMMAND ditto ${PROJECT_SOURCE_DIR}/Samples/Common/misc/*.png ${OGRE_TESTCONTEXT_CONTENTS_PATH}/
      COMMAND ditto ${PROJECT_BINARY_DIR}/bin/*.cfg ${OGRE_TESTCONTEXT_CONTENTS_PATH}/
    )
    add_custom_command(TARGET TestContext POST_BUILD
      COMMAND mkdir ARGS -p ${PROJECT_BINARY_DIR}/lib/$(CONFIGURATION)/
      COMMAND ditto ${PROJECT_SOURCE_DIR}/Samples/Media ${OGRE_TESTCONTEXT_CONTENTS_PATH}/Media
      COMMAND ditto ${PROJECT_SOURCE_DIR}/Tests/Media ${OGRE_TESTCONTEXT_CONTENTS_PATH}/Media
    )
  else()
	set_property(TARGET TestContext PROPERTY MACOSX_BUNDLE TRUE)
	set_property(TARGET TestContext PROPERTY MACOSX_BUNDLE_ICON_FILE SampleBrowser_OSX.icns)
	set_property(TARGET TestContext PROPERTY MACOSX_BUNDLE_INFO_PLIST ${PROJECT_SOURCE_DIR}/Tests/VisualTests/Context/misc/Info.plist)
	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.ogre3d.\${PRODUCT_NAME:rfc1034identifier}")
    set_target_properties(TestContext PROPERTIES XCODE_ATTRIBUTE_ONLY_ACTIVE_ARCH "NO")
    set_target_properties(TestContext PROPERTIES
        LINK_FLAGS "-framework IOKit -framework Cocoa -framework Carbon -framework OpenGL -framework CoreVideo")
	set (OGRE_TESTCONTEXT_CONTENTS_PATH
		${PROJECT_BINARY_DIR}/bin/$(CONFIGURATION)/TestContext.app/Contents)
	add_custom_command(TARGET TestContext POST_BUILD
		COMMAND mkdir ARGS -p ${OGRE_TESTCONTEXT_CONTENTS_PATH}/Frameworks
		COMMAND ln ARGS -s -f ${PROJECT_BINARY_DIR}/lib/${OGRE_BUILT_FRAMEWORK}/Ogre.framework
		${OGRE_TESTCONTEXT_CONTENTS_PATH}/Frameworks/
		COMMAND ln ARGS -s -f ${Cg_LIBRARY_REL}
		${OGRE_TESTCONTEXT_CONTENTS_PATH}/Frameworks/
		)
	# now cfg files
	add_custom_command(TARGET TestContext POST_BUILD
		COMMAND mkdir ARGS -p ${OGRE_TESTCONTEXT_CONTENTS_PATH}/Resources
		COMMAND ln ARGS -s -f ${PROJECT_BINARY_DIR}/bin/plugins.cfg
		${OGRE_TESTCONTEXT_CONTENTS_PATH}/Resources/
		COMMAND ln ARGS -s -f ${PROJECT_BINARY_DIR}/bin/resources.cfg
		${OGRE_TESTCONTEXT_CONTENTS_PATH}/Resources/
		COMMAND ln ARGS -s -f ${PROJECT_BINARY_DIR}/bin/tests.cfg
		${OGRE_TESTCONTEXT_CONTENTS_PATH}/Resources/
		COMMAND ln ARGS -s -f ${PROJECT_SOURCE_DIR}/Samples/Media
		${OGRE_TESTCONTEXT_CONTENTS_PATH}/Resources/
        COMMAND ditto
		${PROJECT_SOURCE_DIR}/Samples/Common/misc/SampleBrowser_OSX.icns ${OGRE_TESTCONTEXT_CONTENTS_PATH}/Resources
		)

  	add_custom_command(TARGET TestContext POST_BUILD
		COMMAND mkdir ARGS -p ${OGRE_TESTCONTEXT_CONTENTS_PATH}/Plugins
		COMMAND ln ARGS -s -f ${PROJECT_BINARY_DIR}/lib/${OGRE_BUILT_FRAMEWORK}/PlayPenTests.dylib 
		${OGRE_TESTCONTEXT_CONTENTS_PATH}/Plugins/
		COMMAND ln ARGS -s -f ${PROJECT_BINARY_DIR}/lib/${OGRE_BUILT_FRAMEWORK}/VTests.dylib 
		${OGRE_TESTCONTEXT_CONTENTS_PATH}/Plugins/
	)

	foreach(FWK ${FRAMEWORKS})
		add_custom_command(TARGET TestContext POST_BUILD
		COMMAND ARGS if [ -d ${PROJECT_BINARY_DIR}/lib/${OGRE_BUILT_FRAMEWORK}/${FWK}.framework ]\; then ln -s -f ${PROJECT_BINARY_DIR}/lib/${OGRE_BUILT_FRAMEWORK}/${FWK}.framework ${OGRE_TESTCONTEXT_CONTENTS_PATH}/Frameworks/${FWK}.framework\; fi
		)
	endforeach()
	endif()
endif()

# In Windows TestContext cannot be run from the build directory
# and thus must be installed to be useful.
if (WIN32)
    ogre_install_target(TestContext "" FALSE)
endif()

=== debian/changelog ===
ogre-1.12 (1.12.5+dfsg1-1) unstable; urgency=medium

  [ Simon Schmeisser ]
  * New upstream version
  * Use current version of swig (4.0) as 3.0 is no longer build in bullseye
    (Closes: #956947)

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Tue, 07 Apr 2020 21:04:19 +0200

ogre-1.12 (1.12.4+dfsg1-5) unstable; urgency=medium

  [ Miriam Ruiz ]
  * Added patch find-sdl2.patch to be able to find SDL2.h (needed for
    ApplicationContext).
  * Added patch resources-cfg.patch to remove nonexistent resources from
    the configuration
  * Use SWIG 3.0 to generate the bindings. SWIG 4.0 is not supported at
    the moment. See: https://forums.ogre3d.org/viewtopic.php?t=95023
  [ Simon Schmeisser ]
  * boost is no longer needed, remove build dependency
  * tinyxml was replaced by pugixml
  * libois was replaced by sdl2
  * d/rules: plugins are versioned now, don't use subfolder any longer
  * d/control:
    - patchelf no longer needed
    - depend on python3-dev instead of python3-all-dev
  * d/patches:
    - add resourcehandle-sizet.diff: Avoids using 64bit atomics
    on 32bit systems (backported from upstream)
    - adapt patches to follow DEP-3
  * Bump Standards Version to 4.5.0 (no changes needed)

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Sat, 04 Apr 2020 21:04:19 +0200

=== debian/control ===
Source: ogre-1.12
Priority: optional
Section: libs
Standards-Version: 4.5.0
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>,
           Simon Schmeisser <s.schmeisser@gmx.net>
Homepage: https://ogre3d.org/
Vcs-Browser: https://salsa.debian.org/games-team/ogre
Vcs-Git: https://salsa.debian.org/games-team/ogre.git
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cmake (>= 3.3.0),
               pkg-config,
               python3-dev,
               swig (>=3),
               libfreeimage-dev,
               libfreetype6-dev,
               libzzip-dev,
               zlib1g-dev,
               libz-dev,
               libglu1-mesa-dev | libglu-dev,
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev | libgles2-dev,
               libxrandr-dev,
               libxxf86vm-dev,
               libxaw7-dev,
               libxt-dev,
               libpugixml-dev,
               libsdl2-dev
Build-Depends-Indep: doxygen,
                     graphviz,
                     texinfo

Package: libogre-1.12-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libogre-1.12 (= ${binary:Version})
Conflicts: libogre-dev, libogre-1.8-dev, libogre-1.9-dev
Suggests: ogre-1.12-doc
Description: 3D Object-Oriented Graphics Rendering Engine (development files)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the headers needed to develop with OGRE.

Package: libogre-1.12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D Object-Oriented Graphics Rendering Engine (libraries)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the library and plugins.

Package: ogre-1.12-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax
Description: 3D Object-Oriented Graphics Rendering Engine (documentation)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the documentation.

Package: ogre-1.12-tools
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ogre-tools, ogre-1.8-tools, ogre-1.9-tools
Description: 3D Object-Oriented Graphics Rendering Engine (tools)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains tools used to convert from and to OGRE's native mesh
 format.

Package: python3-ogre-1.12
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: 3D Object-Oriented Graphics Rendering Engine (Python3)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the bindings for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export DEB_BUILD_MAINT_OPTIONS   := hardening=+bindnow
# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables. (bug #665324)
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND   := -pipe -Wall $(shell $(dpkg_buildflags) --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND := -pipe -Wall $(shell $(dpkg_buildflags) --get CPPFLAGS)

#export DEB_LDFLAGS_MAINT_APPEND  := -Wl,-z,defs -Wl,--as-needed
# disable -Wl,--as-needed on ia64 due to bug #718047, see also #725143
ifeq ($(DEB_HOST_ARCH),ia64)
export DEB_LDFLAGS_MAINT_APPEND  := -Wl,-z,defs
else
export DEB_LDFLAGS_MAINT_APPEND  := -Wl,-z,defs -Wl,--as-needed
endif


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


# Use this variable to define the particular version of OGRE that we're building
OGRE_VERSION=1.12
OGRE_VERSION_ABI_CHANGE=$(OGRE_VERSION)

OGRE_CHANGELOG = Docs/ChangeLog.md

# Directories to install with Multi-arch and versioned OGRE dir names
LIB_MULTIARCH_DIR = /usr/lib/$(DEB_HOST_MULTIARCH)


%:
	dh $@ \
		--buildsystem=cmake \
		--with python3

override_dh_auto_configure:
        # RPATH from http://www.ogre3d.org/tikiwiki/Building+Ogre+With+CMake
	dh_auto_configure -- \
		-DOGRE_LIB_DIRECTORY="lib/$(DEB_HOST_MULTIARCH)" \
		-DCMAKE_SKIP_RPATH:BOOL=TRUE \
		-DOGRE_BUILD_RENDERSYSTEM_GLES2:BOOL=TRUE \
		-DOGRE_BUILD_DEPENDENCIES:BOOL=FALSE \
		-DOGRE_BUILD_DOCS:BOOL=TRUE \
		-DOGRE_INSTALL_DOCS:BOOL=TRUE \
		-DOGRE_BUILD_SAMPLES:BOOL=FALSE \
		-DOGRE_INSTALL_SAMPLES:BOOL=FALSE \
		-DOGRE_INSTALL_SAMPLES_SOURCE:BOOL=FALSE \
		-DOGRE_BUILD_COMPONENT_PYTHON:BOOL=TRUE \
		-DOGRE_BUILD_COMPONENT_CSHARP:BOOL=FALSE \
		-DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/python3

#override_dh_auto_build-arch:
#	dh_auto_build -a --

override_dh_auto_build-indep:
	dh_auto_build -i --

        # generate doxygen API doc
        #cd obj-$(DEB_HOST_MULTIARCH) && make OgreDoc
	dh_auto_build -i -- OgreDoc

override_dh_install-arch:
        # Copy files from template for this particular version
	cp -f debian/libogre-VERSION.install debian/libogre-$(OGRE_VERSION_ABI_CHANGE).install
	cp -f debian/libogre-VERSION.lintian-overrides debian/libogre-$(OGRE_VERSION_ABI_CHANGE).lintian-overrides

        # docs installed in other way
        #rm -rfv debian/tmp/usr/share/OGRE/docs

        # remove .md5, .map and other files that we do not want installed
        #find debian/tmp/usr/share/OGRE/docs/api/html -type f -not \( -iname '*.html' -or -iname '*.png' -or -iname '*.css' -or -iname '*.js' \) -exec rm -fv {} \;

	dh_install -a

override_dh_dwz:
	dh_dwz -XlibOgreMain.so.1.12.5 -XPlugin_OctreeZone.so.1.12.5

override_dh_install-indep:
        # remove .md5, .map and other files that we do not want installed
	find debian/tmp/usr/share/doc/OGRE/api/html -type f -not \( -iname '*.html' -or -iname '*.png' -or -iname '*.css' -or -iname '*.js' \) -exec rm -fv {} \;
	
	#remove latex docs
	rm -rfv debian/tmp/usr/share/doc/OGRE/api/latex
	
	#remove temp files
	rm -rfv debian/tmp/usr/share/doc/OGRE/api/bib*.aux
	rm -rfv debian/tmp/usr/share/doc/OGRE/api/citelist.doc*

	dh_install -i -Xjquery.js

override_dh_installchangelogs:
	dh_installchangelogs -k $(OGRE_CHANGELOG)

override_dh_clean:
	dh_clean

        # Remove files from template
	rm -rf debian/libogre-$(OGRE_VERSION).*

# For new symbols when compiled with GCC 7
override_dh_makeshlibs:
	dh_makeshlibs -V"libogre-1.12 (>= 1.12.5+dfsg1-1~)"


override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/OGRE/

override_dh_missing:
	dh_missing --list-missing

## ogre-1.12 1.12.10%2Bdfsg2

=== PlugIns/CMakeLists.txt ===
#-------------------------------------------------------------------
# This file is part of the CMake build system for OGRE
#     (Object-oriented Graphics Rendering Engine)
# For the latest info, see http://www.ogre3d.org/
#
# The contents of this file are placed in the public domain. Feel
# free to make use of it in any way you like.
#-------------------------------------------------------------------

# Configure Plugins build

if (OGRE_BUILD_PLUGIN_OCTREE)
  add_subdirectory(OctreeSceneManager)
endif (OGRE_BUILD_PLUGIN_OCTREE)

if (OGRE_BUILD_PLUGIN_BSP)
  add_subdirectory(BSPSceneManager)
endif (OGRE_BUILD_PLUGIN_BSP)

if (OGRE_BUILD_PLUGIN_CG)
  if (NOT Cg_FOUND)
    message(STATUS "Could not find dependency: Cg")
    message(STATUS "Skipping Plugin_CgProgramManager")
    set(OGRE_BUILD_PLUGIN_CG 0)
  else (NOT Cg_FOUND)
    add_subdirectory(CgProgramManager)
  endif (NOT Cg_FOUND)
endif (OGRE_BUILD_PLUGIN_CG)

if (OGRE_BUILD_PLUGIN_EXRCODEC)
  add_subdirectory(EXRCodec)
endif (OGRE_BUILD_PLUGIN_EXRCODEC)

if(OGRE_BUILD_PLUGIN_STBI)
  add_subdirectory(STBICodec)
endif()

if(OGRE_BUILD_PLUGIN_FREEIMAGE)
  add_subdirectory(FreeImageCodec)
endif()

if (OGRE_BUILD_PLUGIN_PFX)
  add_subdirectory(ParticleFX)
endif (OGRE_BUILD_PLUGIN_PFX)

if (OGRE_BUILD_PLUGIN_PCZ)
  add_subdirectory(PCZSceneManager)
  add_subdirectory(OctreeZone)
endif (OGRE_BUILD_PLUGIN_PCZ)

if (OGRE_BUILD_PLUGIN_DOT_SCENE)
  add_subdirectory(DotScene)
endif ()

if (OGRE_BUILD_PLUGIN_ASSIMP)
  add_subdirectory(Assimp)
endif ()

=== RenderSystems/CMakeLists.txt ===
#-------------------------------------------------------------------
# This file is part of the CMake build system for OGRE
#     (Object-oriented Graphics Rendering Engine)
# For the latest info, see http://www.ogre3d.org/
#
# The contents of this file are placed in the public domain. Feel
# free to make use of it in any way you like.
#-------------------------------------------------------------------

# Configure RenderSystem build

if (OGRE_BUILD_RENDERSYSTEM_D3D9)
  if (NOT DirectX9_FOUND)
    MESSAGE(STATUS "Could not find dependency: DirectX")
  	MESSAGE(STATUS "Skipping Direct3D9 rendersystem build")
    set(OGRE_BUILD_RENDERSYSTEM_D3D9 0)
  else ()
    add_subdirectory(Direct3D9)
  endif ()
endif ()

if (OGRE_BUILD_RENDERSYSTEM_D3D11)
  if (NOT DirectX11_FOUND)
    MESSAGE(STATUS "Could not find dependency: DirectX")
  	MESSAGE(STATUS "Skipping Direct3D11 rendersystem build")
    set(OGRE_BUILD_RENDERSYSTEM_D3D11 0)
  else ()
    add_subdirectory(Direct3D11)
  endif ()
endif ()

if (OGRE_BUILD_RENDERSYSTEM_GL OR OGRE_BUILD_RENDERSYSTEM_GL3PLUS OR OGRE_BUILD_RENDERSYSTEM_GLES2)
  add_subdirectory(GLSupport)
endif()

if (OGRE_BUILD_RENDERSYSTEM_GL)
  if (NOT OPENGL_FOUND)
    MESSAGE(STATUS "Could not find dependency: GL")
	  MESSAGE(STATUS "Skipping GL rendersystem build")
    set(OGRE_BUILD_RENDERSYSTEM_GL 0)
  else ()
    add_subdirectory(GL)
  endif ()
endif ()

if (OGRE_BUILD_RENDERSYSTEM_GL3PLUS)
  if (NOT OPENGL_FOUND)
    MESSAGE(STATUS "Could not find dependency: GL3Plus")
	  MESSAGE(STATUS "Skipping GL3Plus rendersystem build")
    set(OGRE_BUILD_RENDERSYSTEM_GL3PLUS 0)
  else ()
    add_subdirectory(GL3Plus)
  endif ()
endif ()

if (OGRE_BUILD_RENDERSYSTEM_GLES2)
  if (NOT OPENGLES2_FOUND)
    MESSAGE(STATUS "Could not find dependency: GLES2 ")
	  MESSAGE(STATUS "Skipping GLES2 rendersystem build")
    set(OGRE_BUILD_RENDERSYSTEM_GLES2 0)
  else ()
    add_subdirectory(GLES2)
  endif()
endif()

if (OGRE_BUILD_RENDERSYSTEM_METAL)
    add_subdirectory(Metal)
endif()

=== Samples/Tutorials/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
project(OgreTutorialsSample)

# required for Ogre 1.11+
set(CMAKE_CXX_STANDARD 11)

## [discover_ogre]
# specify which version and components you need
find_package(OGRE 1.11 REQUIRED COMPONENTS Bites RTShaderSystem)

# copy resource.cfg next to our binaries where OGRE looks for it
file(COPY ${OGRE_CONFIG_DIR}/resources.cfg DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

# add the source files as usual
add_executable(0_Bootstrap Bootstrap.cpp)

# this also sets the includes and pulls third party dependencies
target_link_libraries(0_Bootstrap OgreBites OgreRTShaderSystem)
## [discover_ogre]

add_executable(1_FirstScene BasicTutorial1.cpp)

target_link_libraries(1_FirstScene ${OGRE_LIBRARIES})

add_executable(2_CamerasAndShadows BasicTutorial2.cpp)

target_link_libraries(2_CamerasAndShadows ${OGRE_LIBRARIES})

=== debian/changelog ===
ogre-1.12 (1.12.10+dfsg2-7) unstable; urgency=medium

  * Team upload.

  [ Sébastien Noel ]
  * Fix build with CMake 4 (Closes: #1113343)
  * Fix build against current libimgui-dev, v1.92.2 (Closes: #1114243)

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 05 Oct 2025 13:30:39 +0200

ogre-1.12 (1.12.10+dfsg2-6) unstable; urgency=medium

  * Team upload.
  * Source only upload after new

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Mar 2024 08:55:04 +0100

ogre-1.12 (1.12.10+dfsg2-4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Team upload.
  * Add patch to fix FTBFS (Closes: #1064139)
  * Add patch for new swig.
    Thanks to Flavien Bridault (Closes: #1064139)
  * Add missing test dependency
  * Add patch for loongarch64 (and others)
    Thanks to Simon McVittie (Closes: #1055636)

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Mar 2024 13:39:09 +0100

ogre-1.12 (1.12.10+dfsg2-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Fix the mipsel FTBFS (Closes: #1002568)

  [ Jochen Sprickerhof ]
  * Add upstream patch to fix FTBFS (Closes: #1020188)
  * Fix Multi-Arch hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2022 20:44:44 +0200

ogre-1.12 (1.12.10+dfsg2-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with new ImGui (Closes: #1005498)
  * drop gitlab-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 29 Mar 2022 10:14:29 +0200

ogre-1.12 (1.12.10+dfsg2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Jun 2021 21:39:29 +0200

ogre-1.12 (1.12.10+dfsg2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library package to match Soname (Closes: #989344)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Jun 2021 16:37:07 +0200

ogre-1.12 (1.12.10+dfsg2-1) unstable; urgency=medium

  [ Simon Schmeisser ]
  * New upstream version
  * d/patches:
    - removed patches included upstream
    - add use-system-imgui.diff
    - fix OGRE_PLUGIN_DIR in OGREConfig.cmake
  * d/tests: add tests for python and cmake
  * d/copyright:
    - backport upstream removal of two unused headers with non-free licenses
  * do not install duplicate license information in non-standard format
  * Bump Standards Version to 4.5.1 (no changes needed)
  [ Pavel Rojtberg ]
  * fix discovery of CMake modules
  * d/patches:
    - backported: do not export dependency on OgreGLSupport

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Fri, 01 Jan 2021 10:04:19 +0200

=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,16 @@
 export DEB_LDFLAGS_MAINT_APPEND  := -Wl,-z,defs -Wl,--as-needed
 endif
 
+# Reduce debug info to workaround address space limitation
+ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
+    export DEB_CXXFLAGS_MAINT_APPEND += -g1
+endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 
 # Use this variable to define the particular version of OGRE that we're building
-OGRE_VERSION=1.12
-OGRE_VERSION_ABI_CHANGE=$(OGRE_VERSION)
+OGRE_SOVERSION=1.12.10
 
 OGRE_CHANGELOG = Docs/ChangeLog.md
 
@@ -42,6 +45,7 @@
 override_dh_auto_configure:
         # RPATH from http://www.ogre3d.org/tikiwiki/Building+Ogre+With+CMake
 	dh_auto_configure -- \
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 		-DOGRE_LIB_DIRECTORY="lib/$(DEB_HOST_MULTIARCH)" \
 		-DCMAKE_SKIP_RPATH:BOOL=TRUE \
 		-DOGRE_BUILD_RENDERSYSTEM_GLES2:BOOL=TRUE \
@@ -67,8 +71,8 @@
 
 override_dh_install-arch:
         # Copy files from template for this particular version
-	cp -f debian/libogre-VERSION.install debian/libogre-$(OGRE_VERSION_ABI_CHANGE).install
-	cp -f debian/libogre-VERSION.lintian-overrides debian/libogre-$(OGRE_VERSION_ABI_CHANGE).lintian-overrides
+	cp -f debian/libogreVERSION.install debian/libogre$(OGRE_SOVERSION)t64.install
+	cp -f debian/libogreVERSION.lintian-overrides debian/libogre$(OGRE_SOVERSION)t64.lintian-overrides
 
         # docs installed in other way
         #rm -rfv debian/tmp/usr/share/OGRE/docs
@@ -79,7 +83,7 @@
 	dh_install -a
 
 override_dh_dwz:
-	dh_dwz -XlibOgreMain.so.1.12.5 -XPlugin_OctreeZone.so.1.12.5
+	dh_dwz -XlibOgreMain.so.1.12.10 -XPlugin_OctreeZone.so.1.12.10
 
 override_dh_install-indep:
         # remove .md5, .map and other files that we do not want installed
@@ -101,11 +105,11 @@
 	dh_clean
 
         # Remove files from template
-	rm -rf debian/libogre-$(OGRE_VERSION).*
+	rm -rf debian/libogre$(OGRE_SOVERSION).*
 
 # For new symbols when compiled with GCC 7
 override_dh_makeshlibs:
-	dh_makeshlibs -V"libogre-1.12 (>= 1.12.5+dfsg1-1~)"
+	dh_makeshlibs -V"libogre1.12.10t64 (>= 1.12.10+dfsg1-1~)"
 
 
 override_dh_shlibdeps:
